Package org.eclipse.birt.report.model.api.simpleapi

# Class ScriptConstants

java.lang.Object
org.eclipse.birt.report.model.api.simpleapi.ScriptConstants

public class ScriptConstants extends Object
Constants for script

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION_LINK_TYPE_BOOKMARK_LINK`
property, hyperlink action: bookmark link
`static final String`
`ACTION_LINK_TYPE_DRILL_THROUGH`
property, hyperlink action: drill through
`static final String`
`ACTION_LINK_TYPE_HYPERLINK`
property, hyperlink action: hyperlink
`static final String`
`ACTION_LINK_TYPE_NONE`
property, hyperlink action: none
`static final String`
`FILTER_OPERATOR_BETWEEN`
property, operator: between
`static final String`
`FILTER_OPERATOR_BOTTOM_N`
property, operator: botom-n
`static final String`
`FILTER_OPERATOR_BOTTOM_PERCENT`
property, operator: bottom-percent
`static final String`
`FILTER_OPERATOR_EQ`
property, operator: equal
`static final String`
`FILTER_OPERATOR_FALSE`
property, operator: is false
`static final String`
`FILTER_OPERATOR_GE`
property, operator: greater equal
`static final String`
`FILTER_OPERATOR_GT`
property, operator: greater then
`static final String`
`FILTER_OPERATOR_IN`
property, operator: in
`static final String`
`FILTER_OPERATOR_LE`
property, operator: lower equal
`static final String`
`FILTER_OPERATOR_LIKE`
property, operator: like
`static final String`
`FILTER_OPERATOR_LT`
property, operator: lower then
`static final String`
`FILTER_OPERATOR_MATCH`
property, operator: match
`static final String`
`FILTER_OPERATOR_NE`
property, operator: not equal
`static final String`
`FILTER_OPERATOR_NOT_BETWEEN`
property, operator: not between
`static final String`
`FILTER_OPERATOR_NOT_IN`
property, operator: not in
`static final String`
`FILTER_OPERATOR_NOT_LIKE`
property, operator: not like
`static final String`
`FILTER_OPERATOR_NOT_MATCH`
property, operator: not match
`static final String`
`FILTER_OPERATOR_NOT_NULL`
property, operator: is not null
`static final String`
`FILTER_OPERATOR_NULL`
property, operator: is null
`static final String`
`FILTER_OPERATOR_TOP_N`
property, operator: top-n
`static final String`
`FILTER_OPERATOR_TOP_PERCENT`
property, operator: top-percent
`static final String`
`FILTER_OPERATOR_TRUE`
property, operator: is true
`static final String`
`SORT_DIRECTION_ASC`
property, sort direction: ascending
`static final String`
`SORT_DIRECTION_DESC`
property, sort direction: descending

## Constructor Summary

Constructors
Constructor
Description
`ScriptConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FILTER_OPERATOR_EQ

public static final String FILTER_OPERATOR_EQ
property, operator: equal

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NE

public static final String FILTER_OPERATOR_NE
property, operator: not equal

See Also:
  - Constant Field Values

### FILTER_OPERATOR_LT

public static final String FILTER_OPERATOR_LT
property, operator: lower then

See Also:
  - Constant Field Values

### FILTER_OPERATOR_LE

public static final String FILTER_OPERATOR_LE
property, operator: lower equal

See Also:
  - Constant Field Values

### FILTER_OPERATOR_GE

public static final String FILTER_OPERATOR_GE
property, operator: greater equal

See Also:
  - Constant Field Values

### FILTER_OPERATOR_GT

public static final String FILTER_OPERATOR_GT
property, operator: greater then

See Also:
  - Constant Field Values

### FILTER_OPERATOR_BETWEEN

public static final String FILTER_OPERATOR_BETWEEN
property, operator: between

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_BETWEEN

public static final String FILTER_OPERATOR_NOT_BETWEEN
property, operator: not between

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NULL

public static final String FILTER_OPERATOR_NULL
property, operator: is null

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_NULL

public static final String FILTER_OPERATOR_NOT_NULL
property, operator: is not null

See Also:
  - Constant Field Values

### FILTER_OPERATOR_TRUE

public static final String FILTER_OPERATOR_TRUE
property, operator: is true

See Also:
  - Constant Field Values

### FILTER_OPERATOR_FALSE

public static final String FILTER_OPERATOR_FALSE
property, operator: is false

See Also:
  - Constant Field Values

### FILTER_OPERATOR_LIKE

public static final String FILTER_OPERATOR_LIKE
property, operator: like

See Also:
  - Constant Field Values

### FILTER_OPERATOR_TOP_N

public static final String FILTER_OPERATOR_TOP_N
property, operator: top-n

See Also:
  - Constant Field Values

### FILTER_OPERATOR_BOTTOM_N

public static final String FILTER_OPERATOR_BOTTOM_N
property, operator: botom-n

See Also:
  - Constant Field Values

### FILTER_OPERATOR_TOP_PERCENT

public static final String FILTER_OPERATOR_TOP_PERCENT
property, operator: top-percent

See Also:
  - Constant Field Values

### FILTER_OPERATOR_BOTTOM_PERCENT

public static final String FILTER_OPERATOR_BOTTOM_PERCENT
property, operator: bottom-percent

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_IN

public static final String FILTER_OPERATOR_NOT_IN
property, operator: not in

See Also:
  - Constant Field Values

### FILTER_OPERATOR_MATCH

public static final String FILTER_OPERATOR_MATCH
property, operator: match

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_LIKE

public static final String FILTER_OPERATOR_NOT_LIKE
property, operator: not like

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_MATCH

public static final String FILTER_OPERATOR_NOT_MATCH
property, operator: not match

See Also:
  - Constant Field Values

### FILTER_OPERATOR_IN

public static final String FILTER_OPERATOR_IN
property, operator: in

See Also:
  - Constant Field Values

### SORT_DIRECTION_ASC

public static final String SORT_DIRECTION_ASC
property, sort direction: ascending

See Also:
  - Constant Field Values

### SORT_DIRECTION_DESC

public static final String SORT_DIRECTION_DESC
property, sort direction: descending

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_NONE

public static final String ACTION_LINK_TYPE_NONE
property, hyperlink action: none

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_HYPERLINK

public static final String ACTION_LINK_TYPE_HYPERLINK
property, hyperlink action: hyperlink

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_DRILL_THROUGH

public static final String ACTION_LINK_TYPE_DRILL_THROUGH
property, hyperlink action: drill through

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_BOOKMARK_LINK

public static final String ACTION_LINK_TYPE_BOOKMARK_LINK
property, hyperlink action: bookmark link

See Also:
  - Constant Field Values

## Constructor Details

### ScriptConstants

public ScriptConstants()